Bug 99050 - hide the applet if system is up2date
hide the applet if system is up2date
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rhn-applet (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-13 01:38 EDT by petrosyan
Modified: 2007-11-30 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-04 14:39:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description petrosyan 2003-07-13 01:38:28 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030703
Epiphany/0.7.3

Description of problem:
I think it would be nice if the rhn-applet would not show any messages at all on
the panel if the system has been registered with RHN and is up2date.

After the installation the user should get the exclamation mark asking him to
register with RHN. He can either register or get rid of rhn-applet altogether.
If he registers, then the applet checks the server and prompts him to update his
system. After the system has been updated rhn-applets disappears from the
notification area, and runs only in the background. It only reappears again when
there are new updates available or some other kind of important information for
the user.

I just think it is a waste of valuable panel space to have it most of the time
in the "checkmark" state.

Version-Release number of selected component (if applicable):
rhn-applet-2.0.9-1
Comment 1 Rob Docherty 2004-06-10 13:46:40 EDT
up2date isn't the only method of keeping your system up to date. You 
can also use yum.

http://www.hut.fi/~tkarvine/yum-package-manager.html

Once you've installed yum, you could of course remove up2date 
(described in the above link) and get rid of the panel icon 
altogether.



Comment 2 Rob Docherty 2004-06-10 13:47:13 EDT
up2date isn't the only method of keeping your system up to date. You 
can also use yum.

http://www.hut.fi/~tkarvine/yum-package-manager.html

Once you've installed yum, you could of course remove up2date 
(described in the above link) and get rid of the panel icon 
altogether.



Comment 3 Mike Ginou 2004-10-01 13:59:48 EDT
I would suggest that the current operation of the rhn-applet with
regards to this issue (i.e. always indicating your current status,
even when you are fully updated) should be corrected.

It probably violates the spirit of the HIG, in particular the warning
"...icons that appear only temporarily in response to events are
preferable" is relevant (ref.
http://developer.gnome.org/projects/gup/hig/2.0/desktop-notification-area.html)

At the very least I would think that there should be a preference
allowing the user to select which behaviour they prefer.

As an additional note: up2date can be configured to use apt/yum
repositories, thus it is not outdated (yet).
Comment 4 petrosyan 2005-05-10 21:12:27 EDT
this bug is still present in rhn-applet-2.1.17-3

Note You need to log in before you can comment on or make changes to this bug.